<?php

class FLIRTYREF_CLASS_Credits {

    private $actions;

    public function __construct() {
        $this->actions[] = array('pluginKey' => 'flirtyref', 'action' => 'friend_joined', 'amount' => 1);
    }

    public function bindCreditActionsCollect(BASE_CLASS_EventCollector $e) {
        foreach ($this->actions as $action) {
            $e->add($action);
        }
    }

    public function triggerCreditActionsAdd() {
        $e = new BASE_CLASS_EventCollector('usercredits.action_add');

        foreach ($this->actions as $action) {
            $e->add($action);
        }

        OW::getEventManager()->trigger($e);
    }

}